API ReferenceManagementTenantsPassword Settings
POST
/v1/mgmt/password/settings

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

minLength*integer
Formatint32
lowercase?boolean
uppercase?boolean
number?boolean
nonAlphanumeric?boolean
expiration?boolean
expirationWeeks*integer
Formatint32
reuse?boolean
reuseAmount*integer
Formatint32
lock?boolean
lockAttempts*integer
Formatint32
tenantId?string
enabled?boolean
tempLock?boolean
tempLockAttempts?integer
Formatint32
tempLockDuration?integer
Formatint32
enablePasswordStrength?boolean
passwordStrengthScore?integer
Formatint32
anyLetter?boolean
disallowedCharacters?string
disallowEmailMatch?boolean

Update password settings for a tenant

This endpoint allows you to update the password settings of a given tenant.

See Also

curl -X POST "https://api.descope.com/v1/mgmt/password/settings" \  -H "Content-Type: application/json" \  -d '{    "minLength": 0,    "expirationWeeks": 0,    "reuseAmount": 0,    "lockAttempts": 0  }'
Was this helpful?